Manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media
Class Manager

    java.lang.Object
      javax.media.Manager

    public final class Manager

extends Object

Field Summary
`static String` | `UNKNOWN_CONTENT_NAME`

Constructor Summary
`Manager()`

Method Summary
`static DataSource` | `createDataSource(MediaLocator sourceLocator)`
`static DataSource` | `createDataSource(URL sourceURL)`
`static Player` | `createPlayer(DataSource source)`
`static Player` | `createPlayer(MediaLocator sourceLocator)`
`static Player` | `createPlayer(URL sourceURL)`
`static Vector` | `getDataSourceList(String protocolName)`
`static Vector` | `getHandlerClassList(String contentName)`
`static TimeBase` | `getSystemTimeBase()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_CONTENT_NAME

    public static final String UNKNOWN_CONTENT_NAME

See Also:
  Constant Field Values

Constructor Detail

### Manager

    public Manager()

Method Detail

### createPlayer

    public static Player createPlayer(URL sourceURL)
                               throws IOException,
                                      NoPlayerException

  Throws:
    `IOException`
    `NoPlayerException`

### createPlayer

    public static Player createPlayer(MediaLocator sourceLocator)
                               throws IOException,
                                      NoPlayerException

  Throws:
    `IOException`
    `NoPlayerException`

### createPlayer

    public static Player createPlayer(DataSource source)
                               throws IOException,
                                      NoPlayerException

  Throws:
    `IOException`
    `NoPlayerException`

### createDataSource

    public static DataSource createDataSource(URL sourceURL)
                                       throws IOException,
                                              NoDataSourceException

  Throws:
    `IOException`
    `NoDataSourceException`

### createDataSource

    public static DataSource createDataSource(MediaLocator sourceLocator)
                                       throws IOException,
                                              NoDataSourceException

  Throws:
    `IOException`
    `NoDataSourceException`

### getSystemTimeBase

    public static TimeBase getSystemTimeBase()

### getDataSourceList

    public static Vector getDataSourceList(String protocolName)

### getHandlerClassList

    public static Vector getHandlerClassList(String contentName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD